# ch.qos.logback.core.rolling

## Interfaces

- RollingPolicy
- TimeBasedFileNamingAndTriggeringPolicy
- TriggeringPolicy

## Classes

- DefaultTimeBasedFileNamingAndTriggeringPolicy
- FixedWindowRollingPolicy
- RollingFileAppender
- RollingPolicyBase
- SizeAndTimeBasedFNATP
- SizeAndTimeBasedRollingPolicy
- SizeBasedTriggeringPolicy
- TimeBasedFileNamingAndTriggeringPolicyBase
- TimeBasedRollingPolicy
- TriggeringPolicyBase

## Exceptions

- RolloverFailure